vif {rms} | R Documentation

## Variance Inflation Factors

### Description

Computes variance inflation factors from the covariance matrix of parameter estimates, using the method of Davis et al. (1986), which is based on the correlation matrix from the information matrix.

### Usage

    vif(fit)

### Arguments

`fit` | an object created by `lrm`, `ols`, `psm`, `cph`, `Rq`, `Glm`, `glm`

### Value

vector of vifs

### Author(s)

Frank Harrell
Department of Biostatistics
Vanderbilt University
f.harrell@vanderbilt.edu

### References

Davis CE, Hyde JE, Bangdiwala SI, Nelson JJ: An example of dependencies among variables in a conditional logistic regression. In Modern Statistical Methods in Chronic Disease Epidemiology, Eds SH Moolgavkar and RL Prentice, pp. 140–147. New York: Wiley; 1986.

### See Also

`rmsMisc` (for `num.intercepts`

### Examples

    set.seed(1)
    x1 <- rnorm(100)
    x2 <- x1+.1*rnorm(100)
    y  <- sample(0:1, 100, TRUE)
    f  <- lrm(y ~ x1 + x2)
    vif(f)

[Package rms version 5.1-1 Index]